org.eclipse.emf.cdo.common.util

## Class CDOPackageNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.common.util.CDOPackageNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public final class CDOPackageNotFoundException
      extends CDOException

  A `CDOException` to indicate that an `EPackage` is not available in the current `EPackage.Registry`.
  Since:
    4.4
  Author:
    Esteban Dugueperoux
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOPackageNotFoundException(java.lang.String packageURI)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPackageURI()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOPackageNotFoundException

          public CDOPackageNotFoundException(java.lang.String packageURI)

  - ### Method Detail

    - #### getPackageURI

          public java.lang.String getPackageURI()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html